Skip to main content
`Ctrl`+`K`

# TSGetCFLTime

Get the maximum stable time step according to CFL criteria applied to forward Euler

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSGetCFLTime(TS ts, PetscReal *cfltime)

Collective

## Input Parameter

- ts - time stepping context

## Output Parameter

- cfltime - maximum stable time step for forward Euler

## See Also

TS: Scalable ODE and DAE Solvers, `TSSetCFLTimeLocal()`

## Level

advanced

## Location

src/ts/interface/ts.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages